Subject: bug#38446: Guix pull broken

From: Ricardo Wurmus <[email-masked]>
Date: Tue, 03 Dec 2019 03:12:51 +0100

Tobias Geerinckx-Rice <[email-masked]> writes:

> Ricardo,
>
> Ricardo Wurmus 写道：
>> For the time being you can do
>>
>>   git clone https://guix.gnu.org/git/guix
>>
>> which is a read-only copy of my clone of the repository.  I’d like
>> to
>> make it automatically sync up with the repo on Savannah, but I ran
>> out
>> of time.
>
> Did you use --mirror to do this?

No, I didn’t know about “--mirror”.  I only did this on berlin:

   cd /srv/git
   git init --bare guix

Then I set up git serving over HTTP with some changes to maintenance.git
(not pushed yet but changed on berlin).

Then I pushed to it from my laptop:

   git remote add berlin ssh://berlin.guixsd.org:/srv/git/guix
   git push berlin

~~ Ricardo